QoreExternalMemberBase Class Reference

external wrapper base class for class and hashdecl members More...

`#include <QoreReflection.h>`

Inheritance diagram for QoreExternalMemberBase:
[legend]

## Public Member Functions

DLLEXPORT QoreValue | getDefaultValue (ExceptionSink *xsink) const
| evaluates the initialization expression for the member and returns the referenced value
DLLEXPORT const QoreExternalProgramLocation * | getSourceLocation () const
| returns the source location of the member's declaration
DLLEXPORT const QoreTypeInfo * | getTypeInfo () const
| returns the type info for the member

## Detailed Description

external wrapper base class for class and hashdecl members

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreReflection.h